GET /api/v3/costCenter/{costCenterId}/digest/actual/monthly

Retrieves rolled up actual billing data by costCenter for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes commodity level break up.

GetCostCenterActualMonthlyV3 Permissions: CostCenters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
costCenterId The costCenter to retrieve data for integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to 24 months integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

CostCenterDigestActualMonthlyResponse
Property Description Type
commodities An array of monthly data per commodity CostCenterDigestActualMonthlyResponse+CommodityData[]
CostCenterDigestActualMonthlyResponse+CommodityData properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of commodity monthly data CostCenterDigestActualMonthlyResponse+CommodityResults[]
CostCenterDigestActualMonthlyResponse+CommodityResults properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
commonUse Common Use number (double)
commonUseUnitCost Common Use Unit Cost number (double)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
periodName Calendar Period Name string
totalCost Total Cost number (double)
costCenterCode The costCenter code string
costCenterId The costCenter identifier integer (int32)
costCenterInfo The costCenter info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of monthly data CostCenterDigestActualMonthlyResponse+Results[]
CostCenterDigestActualMonthlyResponse+Results properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
periodName Calendar Period Name string
totalCost Total Cost number (double)
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "commodities": [
    {    "commodityCode": "string",    "commodityId": 1,    "commodityInfo": "string",    "commonUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "results": [
      {      "calendarPeriod": 1,      "calendarYear": 1,      "commonUse": 1.0,      "commonUseUnitCost": 1.0,      "fiscalPeriod": 1,      "fiscalYear": 1,      "globalUse": 1.0,      "globalUseUnitCost": 1.0,      "periodName": "string",      "totalCost": 1.0
    }
    ]
  }
  ],  "costCenterCode": "string",  "costCenterId": 1,  "costCenterInfo": "string",  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "globalUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "results": [
    {    "calendarPeriod": 1,    "calendarYear": 1,    "fiscalPeriod": 1,    "fiscalYear": 1,    "globalUse": 1.0,    "globalUseUnitCost": 1.0,    "periodName": "string",    "totalCost": 1.0
  }
  ],  "updated": "2026-03-30"
}
204 No Content The request succeeded. No content is returned in the response body.